Bug 691311 - autofs should support paged results from ldap server
autofs should support paged results from ldap server
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.4
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Ian Kent
yanfu,wang
: ZStream
Depends On: 563956 704927
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-28 03:32 EDT by RHEL Product and Program Management
Modified: 2011-05-15 23:10 EDT (History)
13 users (show)

See Also:
Fixed In Version: autofs-5.0.1-0.rc2.143.el5_6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 700896 (view as bug list)
Environment:
Last Closed: 2011-05-05 07:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-03-28 03:32:19 EDT
This bug has been copied from bug #563956 and has been proposed
to be backported to 5.6 z-stream (EUS).
Comment 7 yanfu,wang 2011-04-07 03:22:40 EDT
hi Ian,
I can't pass the testcase bz563956: 
ls: /nfs/abc2100: No such file or directory
failed to mount ldap direct mount after sizelimit set

for the full log you could refer to below:
http://lab2.rhts.eng.bos.redhat.com/beaker/logs/results/6577070///test_log--CoreOS-autofs-bugzillas.log
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2011/04/704/70408/144774/1584613/6576911///test_log--CoreOS-autofs-bugzillas.log
Comment 8 yanfu,wang 2011-04-07 04:00:33 EDT
(In reply to comment #7)
> hi Ian,
> I can't pass the testcase bz563956: 
> ls: /nfs/abc2100: No such file or directory
> failed to mount ldap direct mount after sizelimit set
> 
> for the full log you could refer to below:
> http://lab2.rhts.eng.bos.redhat.com/beaker/logs/results/6577070///test_log--CoreOS-autofs-bugzillas.log
> http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2011/04/704/70408/144774/1584613/6576911///test_log--CoreOS-autofs-bugzillas.log

btw, these failure occurs on s390x and ppc64, I can pass test on others arch:
x86_64: https://beaker.engineering.redhat.com/jobs/70404
i386: https://beaker.engineering.redhat.com/jobs/70407
ia64: https://beaker.engineering.redhat.com/jobs/70409
Comment 15 yanfu,wang 2011-04-24 05:48:17 EDT
verified autofs-5.0.1-0.rc2.143.el5_6.2 on ppc64 and s390x using the update testcase, results passed:
https://beaker.engineering.redhat.com/jobs/76829
https://beaker.engineering.redhat.com/jobs/76828

reply info in https://errata.devel.redhat.com/errata/show/11044#c18
Comment 16 yanfu,wang 2011-04-27 22:36:04 EDT
hi GSS,
There's incomplete fix for bug 691311 that is the paged LDAP query doesn't work against ppc64 and s390x LDAP servers, so autofs will not support paged results from ldap server which set up on ppc64 or s390x arch, and if the ldap server use a separate server other than a ppc64 or s390x that will be ok. Developer recommend that file a new bug for this problem.
For the detailed information pls check below links:
https://errata.devel.redhat.com/errata/show/11044#c16
https://errata.devel.redhat.com/errata/show/11044#c17

So GSS guys, do you know if customer environment will involve ldap server
with ppc64 and s390x? I want to confirm the issue don't impact their production, thanks.
Comment 21 yanfu,wang 2011-04-28 22:37:47 EDT
I copy Ian's response from e-mail:

This needs a little more qualification.

We don't know if this would continue to be a problem if the openldap
server on these architectures supported paged LDAP queries. As it
happens the paged queries often do work in this case and that's why
autofs defines the missing LDAP functions if they aren't present. In
addition the openldap ldapsearch application "is" able to do paged
queries against these servers but the code is such a mess I haven't been
able to work out what they do differently yet.

So, the bottom line is that autofs currently doesn't work against
servers on these architectures and the openldap available on them
doesn't formally support this type of query. That's my motivation for
recommending we deal with this as a separate bug and go ahead with the
update.

Ian
Comment 22 yanfu,wang 2011-04-28 22:48:49 EDT
hi GSS,
Could you consider the comment #21 and confirm with customer? If approval, we will deal with the errata as Ian's said.
Comment 25 yanfu,wang 2011-04-29 14:47:57 EDT
change the status to verified against comment #17 and file a new bug 700896 to track the issue.
Comment 26 errata-xmlrpc 2011-05-05 07:16:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0487.html

Note You need to log in before you can comment on or make changes to this bug.